> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert Schedule Settlement Batch

> Name and signature indicate it converts schedule settlement batch

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/convert-schedule-settlement-batch
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/convert-schedule-settlement-batch:
    post:
      operationId: convertScheduleSettlementBatch
      summary: Convert Schedule Settlement Batch
      description: |-
        Name and signature indicate it converts schedule settlement batch

        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConvertScheduleSettlementBatchRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConvertScheduleSettlementBatchResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ConvertScheduleSettlementBatchRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        taxReferenceIDs:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          maxItems: 200
        batchName:
          type: string
          maxLength: 100
      required:
        - orgID
        - taxReferenceIDs
    ConvertScheduleSettlementBatchResponse:
      type: object
      properties:
        batchID:
          type: string
        intentCount:
          type: integer
        reusedExistingBatch:
          type: boolean
      required:
        - batchID
        - intentCount
        - reusedExistingBatch
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
